const char indexHTML[] PROGMEM =  R"=====(
<!DOCTYPE html>
<html>
<head>
  <title>Kompass</title>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <meta name=viewport content="width=device-width, initial-scale=1">
</head> 
<body> 
<p align=middle>
<canvas id="mC"width="400"height="400"></canvas>

 <script>  
 
  var Url = "/";
  var azimuth;
     
    window.onload = start;               //Funktion nach dem laden des HTMLs ausführen

  function start () 
  {
  myAjax = new XMLHttpRequest();        // Bilden eines AJAX Objekts
  myAjax.onreadystatechange=LesenAjax;  // Wenn Ereignis vom Server kommt, wird funktion LesenAjax ausgeführt
  setInterval(aktualisieren,1000);      // Initialisiert das Timer-gesteuerte Ausführen von Funktion "aktualisieren()";
  aktualisieren ();
  }

  function aktualisieren () 
  {
  myAjax.open("GET",Url+"?Zustand=r",true);        // GET-Anfrage an Server senden
  myAjax.send();  
  }
  
function LesenAjax()   //AJAX-Ereignis ist passiert
{
  if (myAjax.readyState==4 && myAjax.status==200) // Wenn antwort volständig und OK
    {                                             // dann
    var datenstr=myAjax.responseText;             // empfangene Daten als Text
    var azimuth = datenstr; 
     
    var canvas = document.getElementById("mC");
    var ctx = canvas.getContext("2d");

// Azimuth --> kommt vom Programm
    var g = parseInt(azimuth);
    var x;
    var y;
    var s=100;                                    // Durchmesser des Kompasses
    ctx.clearRect(0,0,400,400);

    ctx.fillStyle='#dfac20';
    ctx.strokeStyle = '#3983ab';
  {
for (var i=0;i<=360;i=i+30)
  {
  ctx.beginPath();
  p=Math.PI/180;
  x=s*Math.sin(i*p);
  y=s*Math.cos(i*p);
  ctx.arc(200+x,200-y,10,0,7,false);
  ctx.fill();
  ctx.lineWidth=2;
  ctx.stroke();
  }
  
  ctx.font="20px Arial";
  ctx.fillStyle='#222222';
  ctx.fillText("Grad:"+g,5,20);
 
  x=s*Math.sin(g*p);
  y=s*Math.cos(g*p);
  ctx.fillStyle='#dfac20';
  ctx.lineWidth=3;
  ctx.beginPath();
  ctx.moveTo(200-x/5,200+y/5);
  ctx.lineTo(200-y/5,200-x/5);
  ctx.lineTo(200+x,200-y);
  ctx.lineTo(200+y/5,200+x/5);
  ctx.closePath();
  ctx.lineJoin="round";
  ctx.fill();
  ctx.stroke();
  } 
 } 
}

function httpGet ( sende )
  {
   myAjax.open ( "GET", Url + sende, true ) ;
   myAjax.send() ;
  }
 </script>
 </body>
 </html>
 )=====" ;
